<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class OrderDetails extends Model
{
    use HasFactory;
    protected $table = 'Order_Details';

    protected $primaryKey = 'ID';
    protected $fillable = [
        'ID',
        'Client_ID',
        'Order_Number',
        'Type',
        'Quantity',
        'Notes'
    ];

    public $timestamps = false;

    public function user()
    {
        return $this->belongsTo(User::class, 'Client_ID');
    }

    public function OrderMain()
    {
        return $this->belongsTo(OrderMain::class);
    }
}